package wls.tools.logreport;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

// exlude ID from a list or rang of BEA value ID 

public class ExcludeId {

	private HashMap ids;
	
	public ExcludeId() {
		
		super();
		
		this.ids = new HashMap();
	}
	
	public ExcludeId( String fileName ) {
		
		this();
		
		this.loadFromFile(fileName);
	}	
	
	public void loadFromFile( String fileName ) {
		
		BufferedReader in = null;
		String line = null;
		
		try {
			
			in = new BufferedReader( new FileReader(fileName) );
			while( (line=in.readLine() ) != null) { 
				this.ids.put(line, line); }		
			
		} catch (FileNotFoundException e) { e.printStackTrace(); 
		} catch (IOException e) { e.printStackTrace(); }
		
		
	}
	
	public boolean isExclude( String id ) {
		
		boolean isExclude = false; 
		
		String value = (String) this.ids.get(id);
		
		if( value != null && value.length() > 0 ) { isExclude = true; }
		
		return isExclude;
	}
	
	public String toString() {
		
		StringBuffer out = new StringBuffer();
		
		Iterator keys = this.ids.keySet().iterator();
		
		while( keys.hasNext() ) {
			
			out.append(keys.next());
			out.append(",");
			
		}
		
		out.append("\n");
		
		return out.toString();
	}
	
}
